function E0090()
    MNA()CMU("CS_Vivi")SetAni()FAI(0)
end
function E0091()
    MNA()CMU("CS_Vivi")SetAni()FAI(1)
end
function E0092()
    MNA()CMU("CS_Vivi")SetAni()FAI(2)
end
function E0093()
    MNA()CMU("CS_Vivi")SetAni()FAI(3)
end
function E0094()
    MNA()CMU("CS_Vivi")SetAni()FAI(4)
end

function SetAni()
    if(FLJ("HeroBack")) then
        --
    elseif(FLJ("FishHooked")) then
        ANP("Kanpa1","sit")
        ANP("Kanpa1",204)
        SNP("CS_chako_animate",20,12,1,"mainLayer","Chako1")
    elseif(FLJ("PlayJailFishingAni")) then
        MNP("Kanpa1",24,12,1)
        ANP("Kanpa1","sit")
        ANP("Kanpa1",204)
        ANP("Kanpa1","show_fishing_rod")
        ANP("Kanpa1","close_the_eyes")
        SNP("CS_chako_animate",20,12,1,"mainLayer","Chako1")
    else
        ANP("Kanpa1","sit",0)
        ANP("Kanpa1",204)
    end
end

function GoSoapCastle()
    PRI()FAO(3)TRA("CS_soapcastle","E0091",49,46)
end

function SwimSoapCastle()
    PRI()FAO(3)TRA("CS_soapcastle","E0091",52,55)
end

function SwimSoapCastleTalaRoom()
    PRI()FAO(0)TRA("CS_soapcastle_talaroom","E0092",38,21)
end

function PlaceChakoToJail()
    KEY()
    DNP("PlaceChakoToJail")
    FLS("PlaceChakoToJail")
    PMU(5)
    WAI(32)
    SOU("CS_023_thud")WAI(16)SOU("CS_023_thud")WAI(16)SOU("CS_023_thud")WAI(16)
    ANP("Sue1","normal",0)
    SOU("CS_023_thud")WAI(16)SOU("CS_023_thud")WAI(16)SOU("CS_023_thud")WAI(16)
    FAC("sue_normal")MS3("\nSomeone's coming!")NOD()CLO()
    ANP("Kanpa1","normal",0)
    WAI(32)
    SNP("CS_soapwalker_animate",3,12,1,"mainLayer","Tala1")
    ANP("Tala1","with_chako",0)
    ANP("Tala1","walk",1)
    WAI(80)
    ANP("Tala1","normal",1)
    WAI(16)
    ANP("Tala1","with_chako",1)
    WAI(32)
    MNP("IronBar1",10,10,0)
    SOU("CS_110")
    WAI(32)
    ANP("Tala1","catch_chako",1)
    WAI(16)
    ANP("Tala1","catch_chako",0)
    WAI(16)
    ANP("Tala1","without_chako",0)
    ANP("Tala1","normal",1)
    SNP("CS_chako_animate",9,12,1,"mainLayer","Chako1")
    WAI(64)
    FAC("sue_normal")MS3("\nIt's Chako!")NOD()CLO()
    ANP("Chako1","walk",1)
    WAI(64)
    ANP("Chako1","normal",1)
    MNP("IronBar1",10,12,0)
    SOU("CS_110")
    WAI(16)
    ANP("Chako1","normal",0)
    WAI(32)
    FAC("soapwalker_normal")MS3("Don't be sad, pretty one,")NOD()
    CAT("\nI'll have fun with you tonight~")NOD()CLO()
    WAI(16)
    ANP("Tala1","walk",0)
    WAI(80)
    DNP("Tala1")
    WAI(32)
    ANP("Sue1","walk",0)
    WAI(16)
    ANP("Toroko1","walk",0)
    WAI(16)
    ANP("Kanpa1","walk",0)
    WAI(64)
    ANP("Sue1","normal",0)
    WAI(32)
    ANP("Toroko1","normal",0)
    WAI(48)
    ANP("Kanpa1","normal",0)
    WAI(32)
    CMU("CS_Kodou")
    FAC("sue_normal")MS3("\nChako, are you okay?")NOD()CLO()
    WAI(60)
    ANP("Chako1","normal",1)
    WAI(60)
    FAC("chako_sad")MS3("I'm fine,")NOD()
    ANP("Chako1","normal",0)
    CAT("\njust...")NOD()CLO()
    WAI(60)
    ANP("Chako1","back",0)
    WAI(120)
    FAC("sue_normal")MS3("Chako?")NOD()
    FAC("sue_sad")CAT("\nYou seem down,")NOD()
    CAT("\nis it because of what that monster")
    CAT("\nyelled at you?")NOD()CLR()
    CAT("Sigh...")NOD()
    CAT("\nWe have no idea what these monsters")
    CAT("\nare planning to do with us,")NOD()
    CAT("\nand we can't understand")
    CAT("\nwhat they're saying.")NOD()CLR()
    CAT("I wonder how everyone else")
    CAT("\nin the village is doing...")NOD()CLO()
    WAI(60)
    ANP("Chako1","normal",1)
    WAI(60)
    FAC("chako_normal")MS3("The Colons are all hiding safely,")NOD()
    CAT("\nJack and Santa are on their way") 
    CAT("\nto rescue us.")NOD()CLR()
    FAC("sue_normal")CAT("Haven't King,") 
    CAT("\nQuote and Curly returned yet?")NOD()CLR()
    FAC("chako_normal")CAT("\nNot yet...")NOD()CLR()
    FAC("sue_sad")CAT("Then there's no hope,")NOD()
    ANP("Sue1","angry")
    FAC("sue_angry")CAT("\nThat drunkard and that coward") 
    CAT("\nno way they can take on these") 
    CAT("\nhulking monsters.")NOD()CLR()
    ANP("Sue1","normal",0)
    FAC("toroko_normal")CAT("Oh, but 'ghosts'")ANP("Sue1","normal",1)
    CAT("\nare scarier than monsters，")NOD()
    CAT("\nI've got faith in them.")NOD()CLO()
    PMU(5)
    WAI(60)
    FAC()MS3("\nHas anyone")ANP("Toroko1","normal",1)CAT("seen Mahin?")NOD()CLR()
    FAC("sue_sad")CAT("You're still thinking about him...")NOD()
    CAT("\nI feel like he might have been")
    CAT("\neaten by the monsters already.")NOD()CLR()
    FAC("toroko_><")CAT("\nE-Eaten?!")NOD()CLO()
    ANP("Toroko1","run",1)
    WAI(40)
    ANP("Toroko1","normal",0)
    WAI(60)
    SOU("CS_102_jaws")
    WAI(60)
    FAC("sue_sad")MS3("Yeah, just like how I'm hungry now,")NOD()
    CAT("\nand want to eat someone...")NOD()CLR()
    FAC()CAT("\nI'll go catch some fish then...")NOD()CLO()
    ANP("Kanpa1","walk",1)
    WAI(16)
    ANP("Toroko1","normal",1)
    WAI(96)
    ANP("Kanpa1","normal",1)
    WAI(32)
    ANP("Kanpa1","sit",1)
    ANP("Kanpa1","show_fishing_rod")
    WAI(32)
    SNP("CS_fishhook",25,14,0,"mainLayer","FishHook1")
    WAI(32)
    ANP("Kanpa1","close_the_eyes")
    WAI(32)
    CMU("CS_Vivi")
    FAC("sue_sad")MS3("Seriously? You're fishing") 
    CAT("\nat a time like this?.")NOD()CLR()
    CAT("Yeah right, like you could actually")
    CAT("\ncatch anything in this")
    CAT("\ngodforsaken place...")NOD()
    FLP("PlayJailFishingAni")
    FLP("IronheadTookAway")
end

function FishHooked()
    KEY()
    DNP("FishHooked")
    FLP("FishHooked")
    AMC("float")
    SLR("FishHook1",PLY())
    FAC("jack_normal")MS3("That's a fish hook,")NOD()
    CAT("\nwho would be stupid")
    CAT("\nenough to fish here...")NOD()CLO()
    ANP("FishHook1","move_to_check_event_player")
    WAI(32)
    SOU("CS_055_enemy_squeak2")
    AMC("hurt",GLR(PLY()),PLY())
    WAI(32)
    if(MCN(PLY()) == "CS_mychar_jackfish") then
        SLR("CS_mychar_jackfish_p1")
        FAC("jack_><")MS3("Santa! I got hooked by accident!!")NOD()
        CAT("\nHelp get me off this hook!")NOD()CLR()
        FAC()
    else
        SLR("CS_mychar_santafish_p2")
        FAC()MS3("Jack! I got hooked by accident!!")NOD()
        CAT("\nHelp get me off this hook!")NOD()CLR()
        FAC("jack_normal")
    end
    CAT("No way...") 
    CAT("\nYou've got to be kidding...")NOD()
    CAT("\nWe're coming to help you!")NOD()CLO()
    AMC("bark")WAI(32)
    AMC("bark")WAI(32)
    if(MCN(PLY()) == "CS_mychar_jackfish") then
        AMC("close_to_player",0,"CS_mychar_santafish_p2")
    else
        AMC("close_to_player",0,"CS_mychar_jackfish_p1")       
    end
    AMC("close_to_player",0,"CS_mychar_puppyfish_p3")
    WAI(32)
    ANP("Kanpa1","> <_face")
    WAI(32)
    ANP("Kanpa1","show_sweat")
    MS3("I caught a fish!")NOD()
    ANP("Toroko1","normal",1)
    CAT("\nThe fish is struggling violently...")NOD()CLO()
    FLS("PlayJailFishingAni")
    FAO(0)
    TRA("CS_soapcastle_jail","FishMimiga",24,12)
end

function FishMimiga()
    KEY()
    MNP("Sue1",22,12,1)
    MNP("Toroko1",21,12,1)
    ANP("Toroko1","normal",1)
    SNP("CS_chako_animate",20,12,1,"mainLayer","Chako1")
    MOV(23,12,"CS_mychar_jackfish_p1")
    MOV(24,12,"CS_mychar_santafish_p2")
    MOV(25,12,"CS_mychar_puppyfish_p3")
    AMC("normal",0)
    AMC("stand",1,"CS_mychar_puppyfish_p3")
    FAI(2)
    CMU("CS_Anzen")
    WAI(32)
    FAC("sue_sad")MS3("You actually caught some fish...")NOD()
    ANP("Sue1","angry")
    FAC("sue_angry")CAT("\nAnd three at once.")NOD()
    CAT("\nHow can you catch") 
    CAT("\nthree fish with one hook...")NOD()CLR()
    ANP("Sue1","normal")
    FAC("toroko_normal")CAT("It's not that surprising,")NOD()
    CAT("\nafter all, Kanpachi is") 
    CAT("\nour fishing master.")NOD()CLR()
    FAC("sue_sad")CAT("But these fish are so ugly,")NOD()
    CAT("\nand they have faces of people") 
    CAT("\nI hate the most.")NOD()CLR()
    FAC("toroko_normal")CAT("\nYou mean Jack?")NOD()CLR()
    FAC("sue_angry")CAT("Yeah!")NOD()
    CAT("\nHaha! I wish he could see this.")NOD()CLR()
    FAC("chako_happy")CAT("But honestly")
    CAT("\nthe middle one looks like Santa too.")NOD()CLR()
    FAC("sue_normal")CAT("\nNow that you mention it,") 
    CAT("\nChako, it really does.")NOD()CLR()
    FAC()CAT("\nAnd I have one that looks like a dog.")NOD()CLO()
    WAI(16)
    AMC("bark")WAI(16)AMC("bark")WAI(16)AMC("bark")WAI(16)
    WAI(64)
    FAC("sue_sad")MS3("That's so gross...")NOD()
    CAT("\nIt even makes puppy sounds.")NOD()CLR()
    CAT("\nCan we really eat these mutant fish?")NOD()CLR()
    FAC("jack_normal")CAT("Hey, what are you thinking?!")NOD()
    CAT("\nIt's us!")NOD()CLR()
    CAT("I heard everything")
    CAT("\nyou were just saying") 
    CAT("\nbad things about me...")NOD()CLR()
    FAC("sue_normal")CAT("\nHuh? That voice is Jack?!")NOD()CLO()
    ANP("Toroko1","run",0)
    WAI(40)
    ANP("Toroko1","normal",1)
    FAC()MS3("And Santa too!")NOD()
    CAT("\nBy the way, Chako,") 
    CAT("\nhow did you get captured too?")NOD()CLR()
    ANP("Chako1","walk",1)
    WAI(8)
    ANP("Toroko1","walk",1)
    WAI(8)
    ANP("Chako1","normal",1)
    WAI(8)
    ANP("Toroko1","normal",1)
    FAC("chako_normal")CAT("That's a long story,")NOD()
    FAC("chako_happy")CAT("\nbut how did you all turn into fish?")NOD()CLR()
    FAC("jack_normal")CAT("We were about to drown in the sea,")NOD()
    CAT("\nafter being unconscious for a while,")NOD()
    CAT("\nwe woke up and found ourselves") 
    CAT("\nturned into fish.")NOD()CLR()
    FAC("chako_happy")CAT("\nI see...")NOD()CLR()
    FAC()CAT("\nSo what do these monsters look like?")NOD()CLR()
    FAC("sue_normal")CAT("One has a body similar to Balrog,")NOD()
    CAT("\nand the other is a giant") 
    CAT("\nwith long arms and legs.")NOD()CLR()
    FAC("jack_normal")CAT("Got it~")NOD()
    CAT("\nWe'll defeat the monsters right away")
    CAT("\nand rescue you all!")NOD()CLR()
    FAC("sue_sad")CAT("You two little fish") 
    CAT("\nare going to do that...?")NOD()
    AMC("bark")WAI(16)AMC("bark")WAI(16)AMC("bark")WAI(16)CLR()
    FAC("toroko_normal")MS3("\nAnd one little dog fish too~")NOD()CLR()
    FAC("jack_normal")CAT("Enough talk,")NOD()
    CAT("\nput us back in the water,")NOD()
    CAT("\nwe'll definitely find a way") 
    CAT("\nto save you all.")NOD()CLR()
    FAC("sue_normal")CAT("\nAlright~")NOD()CLR()
    CAT("Oh, by the way,")NOD()
    FAC("sue_sad")CAT("\nwe're starving right now,")NOD()
    FAC("sue_normal")CAT("\nplease bring us something to eat...")NOD()CLR()
    FAC("jack_normal")CAT("\nSure thing.")NOD()CLO()
    FLP("BringSomeFood")
    MSR("SaveToroko","SaveEveryone")
    MSA("BringSomeFood")
    FAO(0)TRA("CS_soapcastle_jail","E0092",25,14)
end

function GiveFood()
    DNP("GiveFood")
    FLS("BringSomeFood")
    KEY()
    ---[[
    MM0()
    WAS()
    FAO(0)
    MOV(9,12,"CS_mychar_jack_p1")
    MOV(8,12,"CS_mychar_santa_p2")
    MOV(7,12,"CS_mychar_puppy_p3")
    FAI(2)
    WAI(16)
    --大家往左看
    ANP("Chako1","normal",0)
    WAI(32)
    ANP("Sue1","normal",0)
    WAI(16)
    ANP("Chako1","walk",0)
    WAI(16)
    --间八站起
    ANP("Kanpa1","normal",0)
    WAI(16)
    ANP("Sue1","walk",0)
    WAI(16)
    ANP("Toroko1","walk",0)
    WAI(16)
    ANP("Kanpa1","walk",0)
    WAI(32)
    WAI(32)
    WAI(16)
    ANP("Chako1","normal",0)
    WAI(32)
    ANP("Sue1","normal",0)
    WAI(32)
    ANP("Toroko1","normal",0)
    WAI(32)
    WAI(16)
    ANP("Kanpa1","normal",0)
    WAI(32)
    FAC("chako_happy")MS3("\nIt really is you guys~")NOD()CLR()
    FAC("jack_normal")CAT("As for food,")NOD()
    CAT("\nwe found some fish feed") 
    CAT("\nin a nearby warehouse,")NOD()
    GIT("FishFeed")
    CAT("\nsee if you can stomach it.")NOD()CLO()
    GIT()
    ITS("FishFeed")
    SNP("CS_fishfeed",12,12,1,"mainLayer","FishFeed1")
    WAI(32)
    ANP("Sue1","normal",1)
    WAI(16)
    ANP("Chako1","normal",1)
    FAC("sue_sad")MS3("Fish feed...")NOD()
    CAT("\nCan we really eat this stuff...")NOD()CLR()
    FAC("toroko_normal")CAT("Let's have Kanpachi take a look~")NOD()
    CAT("\nHe might know more about this~")NOD()CLO()
    WAI(16)
    --间八和多隆子换位置
    ANP("Kanpa1","walk",0)
    ANP("Toroko1","walk",1)
    WAI(12)
    ANP("Toroko1","normal",0)
    WAI(4)
    ANP("Kanpa1","normal",0)
    WAI(32)
    MS3("This is")WAI(16)CAT(".")WAI(16)CAT(".")WAI(16)CAT(".")WAI(16)CAT(".")WAI(16)CAT(".")WAI(16)CAT(".")
    CAT("\nThis is high-quality feed") 
    CAT("\nfor carnivorous fish!!")NOD()
    CAT("\nMostly dried fish and shrimp.")NOD()CLR()
    CAT("And it doesn't look cheap either,")NOD()
    CAT("\nif there were extra I'd sneak a pack")
    CAT("\nfor myself...")NOD()CLR()
    FAC("toroko_normal")CAT("\nKanpachi hasn't changed a bit~")NOD()CLR()
    FAC("sue_sad")CAT("\nSo can we eat this stuff or not?")NOD()CLR()
    FAC()CAT("For us, this is just like snacks,")NOD()
    CAT("\nof course you can!")NOD()CLR()
    FAC("sue_normal")MS3("\nI see.")NOD()CLO()
    WAI(16)
    ANP("Chako1","normal",0)
    WAI(16)
    ANP("Sue1","normal",0)
    WAI(16)
    FAC("chako_happy")MS3("\nSo what are you planning to do next?")NOD()CLR()
    FAC("jack_normal")CAT("We're going to scout") 
    CAT("\nan escape route first,")NOD()
    CAT("\nthen come back...")
    SOU("CS_026_quake")QUA(16)
    AMC("normal",0,"CS_mychar_puppy_p3")
    WAI(16)
    CLR()
    FAC()CAT("\nHuh?")
    AMC("normal",0,"CS_mychar_santa_p2")
    WAI(16)
    AMC("normal",0,"CS_mychar_jack_p1")
    WAI(64)
    NOD()CLO()
    --]]
    WAI(16)
    FAO(0)
    POS(true)
    HMC()
    TRA("CS_soapcastle_puuroom","TheKingIsComeBack",34,13)
end

function PreparingToExplore()
    KEY()
    SNP("CS_chako_animate",11,12,0,"mainLayer","Chako1")
    MNP("Sue1",12,12,0)
    ANP("Sue1","normal",0)
    MNP("Kanpa1",13,12,0)
    MNP("Toroko1",14,12,0)
    POS(false)
    SMC()
    SLR(0)
    FAI(2)
    WAI(32)
    FAC("sue_normal")MS3("It felt like there") 
    CAT("\nwas a tremor just now...")NOD()CLR()
    FAC("jack_normal")CAT("Probably just some rocks") 
    CAT("\ncollapsing nearby,")NOD()
    CAT("\nafter all, the sea is right outside.")NOD()CLO()
    WAI(16)
    AMC("normal",1,"CS_mychar_jack_p1")
    WAI(16)
    AMC("normal",1,"CS_mychar_santa_p2")
    WAI(16)
    AMC("normal",1,"CS_mychar_puppy_p3")
    WAI(16)
    FAC("jack_normal")MS3("We'll go scout for an") 
    CAT("\nescape route now.")NOD()CLR()
    FAC("sue_normal")CAT("As much as I hate to admit it,")NOD()
    CAT("\nI'm rooting for you guys~")NOD()CLR()
    FAC("toroko_normal")CAT("\nBe safe, brothers~")NOD()CLO()
    FLP("PuuRoomUnlock")
    FLP("ExploreEscapeRoutes")
    MSR("BringSomeFood","ExploreEscapeRoutes")
end

function CatchedJackSanta()
    KEY()
    CMU("CS_Vivi")
    SNP("CS_tap_animate",7,12,0,"mainLayer","Tap1")
    ANP("Tap1","right_look")
    MOV(11,12,"CS_mychar_puppy_p3")
    MOV(12,12,"CS_mychar_santa_p2")
    MOV(13,12,"CS_mychar_jack_p1")
    AMC("lie",1)
    SNP("CS_chako_animate",20,12,1,"mainLayer","Chako1")
    FAI(2)
    WAI(64)
    --大家向左看
    ANP("Chako1","normal",0)
    WAI(16)
    ANP("Sue1","normal",0)
    WAI(32)
    FAC("tap_normal")
    MS3("I am a general in this castle,")NOD()
    CAT("\nwith many soldiers under my command.")NOD()CLR()
    CAT("I can see everything you do")
    CAT("\nin this castle quite clearly,")NOD()
    CAT("\nso don't think about escaping.")NOD()CLR()
    CAT("We were created by His Majesty,")
    CAT("\nand we serve him.")NOD()
    CAT("\nI have no grudge against you,")NOD()
    CAT("\nbut when I saw those")
    CAT("\ntwo fools get beaten,")
    CAT("\nI had to step in.")NOD()CLO()
    FAC("tap_normal")
    WAI(32)
    ANP("Tap1","left_look")
    MS3("\nWell, it's time for me to go...")NOD()CLO()
    WAI(32)
    FAO(0)
    TRA("CS_soapcastle_fountain","RevivePuuTala",19,13)
end

function TalaBack()
    KEY()
    MOV(19,12,"CS_mychar_jack_p1")
    MOV(18,12,"CS_mychar_santa_p2")
    MOV(23,12,"CS_mychar_puppy_p3")
    SLR(1)
    AMC("normal")
    AMC("hide_gun")
    SNP("CS_chako_animate",20,12,0,"mainLayer","Chako1")
    MNP("Toroko1",22,12,0)
    MNP("Kanpa1",24,12,0)
    ANP("Sue1","normal",0)
    FAI(2)
    CMU("CS_Vivi")
    WAI(32)
    FAC("jack_><")MS3("\nSorry! We failed...")NOD()CLR()
    FAC("sue_sad")CAT("\nSo we failed after all.")NOD()CLR()
    FAC("toroko_normal")CAT("But fortunately")
    CAT("\neveryone is still okay,")NOD()
    CAT("\nand we actually still have hope.")NOD()CLR()
    FAC("chako_happy")CAT("That's right! I left a clue")
    CAT("\nfor King at the Assembly Hall.")NOD()
    CAT("\nHe'll definitely find us here!")NOD()CLO()
    WAI(32)
    MS2("\nYou all seem quite spirited...")NOD()CLO()
    WAI(32)
    AMC("normal",0,"CS_mychar_puppy_p3")
    AMC("stand_bark",0,"CS_mychar_puppy_p3")
    WAI(16)
    SLR(0,MCI("CS_mychar_santa"))
    WAI(16)
    SLR(0,MCI("CS_mychar_jack"))
    --Tala出现
    SNP("CS_soapwalker_animate",8,5,1,"mainLayer","Tala1")
    ANP("Tala1",1030)
    WAI(60)
    FAC("toroko_><")MS3("\nThe monster is here!")NOD()CLR()
    FAC("soapwalker_normal")CAT("\nDon't be so tense...")NOD()CLR()
    FAC("jack_normal")CAT("What's going on,")NOD()
    CAT("\nwe already defeated him")
    CAT("\nbut now he's revived...")NOD()CLR()
    FAC("soapwalker_normal")CAT("Little beauty~")
    CAT("\nCome out~")NOD()CLR()
    FAC("jack_normal")CAT("Huh?")NOD()
    CAT("\nLittle... beauty...?")NOD()
    SLR(1,MCI("CS_mychar_jack"))
    CAT("\nDoes he mean Chako?")NOD()CLR()
    FAC("sue_normal")CAT("Jack, can you understand") 
    CAT("\nwhat the monster is saying?!")NOD()CLR()
    FAC("jack_normal")CAT("Yes!")NOD()
    GIT("Translator")
    CAT("\nI have a translator.")NOD()CLR()
    FAC("jack_><")CAT("Ah... I forgot to return it") 
    CAT("\nto the recycling shop owner...")NOD()
    CAT("\nBut we're in a crisis") 
    CAT("\nnow so there's no choice.")NOD()CLR()
    GIT()
    FAC("chako_normal")CAT("\nLet me use that translator.")NOD()CLR()
    FAC("jack_normal")CAT("\nHere you go, Chako.")NOD()CLO()
    GIT("Translator")
    FAC()MS3("\nGave the translator to Chako.")NOD()CLR()
    GIT()
    FAC("chako_normal")CAT("I'll talk to the monster alone now,")NOD()
    CAT("\nyou all just watch from the side.")NOD()CLR()
    FAC("jack_normal")CAT("\nBut...")NOD()CLR()
    FAC("toroko_normal")CAT("\nI trust Chako~")NOD()CLR()
    FAC("sue_normal")CAT("\nMe too~")NOD()CLR()
    FAC("jack_normal")CAT("\nAlright then...")NOD()CLO()
    --恰可走到怪物面前
    ANP("Chako1","walk",0)
    WAI(16)
    SLR(0,MCI("CS_mychar_jack"))
    WAI(16*7)
    ANP("Tala1","look_down")
    ANP("Chako1","normal",0)
    WAI(16)
    FAC("chako_happy")MS3("Can you understand me?")NOD()
    CAT("\nMr. Monster?")NOD()CLR()
    FAC("soapwalker_normal")CAT("Eh? I can talk with you now...")NOD()
    CAT("\nBut that's good.")NOD()CLR()
    CAT("Little beauty~") 
    CAT("\nWhat do you want to say?")NOD()CLR()
    FAC("chako_happy")CAT("Why are you capturing us,") 
    CAT("\nMr. Monster?")NOD()CLR()
    FAC("soapwalker_normal")CAT("Well...")NOD()
    CAT("\nBecause we had an expensive big fish")
    CAT("\nthat one of you guys lost,")NOD()
    CAT("\nnow we need to sell you to Gaudi") 
    CAT("\nto pay it back.")NOD()CLR()
    FAC("chako_normal")CAT("I see.")NOD()CLO()
    WAI(32)
    ANP("Chako1","normal",1)
    WAI(32)
    FAC("chako_sigh")MS3("(Kanpachi...")NOD()
    CAT("\nYour fishing got all of us caught...)")NOD()CLR()
    CAT("(Though I want to say that,")NOD()
    CAT("\nnow is not the time") 
    CAT("\nto blame companions.)")NOD()CLO()
    WAI(32)
    ANP("Chako1","normal",0)
    WAI(32)
    FAC("chako_happy")MS3("I understand, Mr. Monster.")NOD()
    CAT("\nI also know that you're still") 
    CAT("\nshort one more,")NOD()
    CAT("\nso the price for Gaudi isn't enough?")NOD()CLR()
    FAC("soapwalker_normal")CAT("\nBasically, yes.")NOD()CLR()
    FAC("chako_happy")CAT("Actually I'm a super rare Mimiga,")NOD()
    CAT("\none of me counts as two,")NOD()
    CAT("\nso you can hand us over to") 
    CAT("\nGaudi tomorrow.")NOD()
    CAT("\nYou can prepare the handover")
    CAT("\nprocedures tonight.")NOD()
    CAT("\nLet us rest well.")NOD()CLR()
    FAC("soapwalker_disappointed")CAT("Tch... Fine...")NOD()
    CAT("\nI didn't expect it to end like this,")NOD()
    CAT("\nthis isn't fun at all.")NOD()CLR()
    FAC("soapwalker_normal")CAT("(But there's still time tonight,")NOD()
    CAT("\nI should be able to...)")NOD()CLR()
    FAC()MS2("\nI heard that!")NOD()CLR()
    FAC("soapwalker_angry")MS3("\n(Not now...)")NOD()CLO()
    WAI(32)
    SNP("CS_puu_animate",6,5,1,"mainLayer","Puu1")
    ANP("Puu1",1030)
    WAI(60)
    FAC("puu_normal")MS3("Now we can finally") 
    CAT("\nafford that new arowana,")NOD()
    FAC("puu_cry")CAT("\nI'm saved.")NOD()CLR()
    FAC("soapwalker_disappointed")CAT("Yeah...")NOD()
    CAT("\nEnding like this is so boring.")NOD()CLR()
    FAC("puu_normal")CAT("Quick!")NOD()
    ANP("Puu1","normal",0)
    CAT("\nCome help me assemble") 
    CAT("\nthe new cargo cage!")NOD()CLR()
    FAC("soapwalker_disappointed")CAT("\nOkay.... okay....")NOD()CLO()
    FAO(0)
    TRA("CS_soapcastle_jail","WaitingForRescue",3,12)
end

function WaitingForRescue()
    KEY()
    MOV(19,12,"CS_mychar_jack_p1")
    MOV(18,12,"CS_mychar_santa_p2")
    MOV(23,12,"CS_mychar_puppy_p3")
    SLR(1)
    AMC("normal")
    AMC("hide_gun")
    SNP("CS_chako_animate",20,12,0,"mainLayer","Chako1")
    MNP("Toroko1",22,12,0)
    MNP("Kanpa1",24,12,0)
    ANP("Sue1","normal",0)
    FAI(2)
    WAI(32)
    FAC("sue_normal")MS3("Chako, what did you say") 
    CAT("\nto the monster?")NOD()CLR()
    FAC("chako_normal")CAT("Basically, we're going to be")
    CAT("\nsold to Gaudi tomorrow.")NOD()
    CAT("\nAfter that we'll have to wait")
    CAT("\nfor rescue there.")NOD()CLR()
    FAC("jack_normal")CAT("So the monsters really aren't")
    CAT("\ncapturing us because they're hungry...")NOD()CLR()
    FAC()CAT("\nThat's about right.")NOD()CLR()
    FAC("jack_normal")CAT("But I heard from Chaba that")
    CAT("\nGaudi eats Mimigas,")NOD()
    FAC("jack_><")CAT("\nwe're in just as much danger there...")NOD()CLR()
    FAC()CAT("\nThat's true...")NOD()CLR()
    FAC("sue_sad")CAT("King,")NOD()CAT("Quote,")NOD()CAT("Curly...")NOD()
    CAT("\nPlease hurry back and save us....")NOD()CLR()
    FAC("toroko_><")CAT("\nAmitabha!.....Pray!")NOD()CLO()
    FAO(0)
    TRA("CS_peace_town_disco","ChabaGoHome",5,16)
end